package com.persagy.functions.common.business;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.persagy.framework.construct.RequestProcessor;
import com.persagy.framework.dto.DataQueryParam;

@Service("helloworld3")
public class HelloWorld3 implements RequestProcessor {

	@Override
	public Object handle(DataQueryParam param) throws Exception {
		List<Map<String, String>> list = new ArrayList<>();
		for(int i=0; i<5; i++) {
			Map<String, String> item = new HashMap<>();
			item.put("key"+i, "value"+i);
			list.add(item);
		}
		return list;
	}

}
